{% sw_extends '@Storefront/storefront/layout/header/account-menu.html.twig' %}

{% block utilities_offcanvas_content %}
    <div class="account-menu">
        {% block layout_header_actions_account_widget_dropdown_header %}
            {% if context.customer %}
                <div class="sysea--account-menu-customer-salutation">
                    <b>{{ "sysea.accountCustomerSalutation"|trans|sw_sanitize }}
                    {{ context.customer.firstName }}</b>
                </div>
            {% endif %}
        {% endblock %}

        {% block layout_header_actions_account_widget_dropdown_login %}
            {% if not context.customer %}
                <div class="account-menu-login">
                    <h4 class="d-md-none mb-4">{{ "sysea.accountHeadline"|trans|sw_sanitize }}</h4>

                    <a href="{{ path('frontend.account.login.page') }}"
                       title="{{ "account.loginSubmit"|trans|striptags }}"
                       class="btn btn-primary account-menu-login-button">
                        {{ "account.loginSubmit"|trans|sw_sanitize }}
                    </a>

                    <div class="account-menu-register">
                        {{ "account.orRegister"|trans|sw_sanitize }} <a href="{{ path('frontend.account.login.page') }}"
                                                                        title="{{ "account.orRegisterLink"|trans|striptags }}">{{ "account.orRegisterLink"|trans|striptags }}</a>
                    </div>
                </div>
            {% endif %}
        {% endblock %}

        {% if context.customer %}
            {% block layout_header_actions_account_widget_dropdown_links %}
                <div class="account-menu-links">
                    {% sw_include '@Storefront/storefront/layout/header/sysea-account-menu-dropdown-links.html.twig' %}
                </div>
            {% endblock %}
        {% endif %}
    </div>
{% endblock %}